

## gs.ls is the list with the gene-set IDs and genes
# in case it's a matrix
# gs.df <- as.data.frame (gs.mx)

gs.ls <- stack (gs.df, form = genes ~ categories)

## gs_names.chv
## array of descriptions
## where gene-set IDs are names
## say you have: names.mx
# gs_names.chv <- names.mx[, "description"]
# names (gs_names.chv) <- names.mx[, "ID"]

## Genes tested for enrichment (from the experiment): Exp.Gene

## Universe set: All.Gene

enr.df <- f.Fisher.enr (
			GOf.list      = gs.ls, 
			GOterm.chv    = gs_names.chv,
			sample.Entrez = Exp.Gene, 
			uni.Entrez    = All.Gene
			)
